> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getFilterChanges

> Returns filter changes since last poll



## OpenAPI

````yaml /api-reference/openapi.json post /eth_getFilterChanges
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /eth_getFilterChanges:
    post:
      tags:
        - Ethereum API
      summary: eth_getFilterChanges
      description: Returns filter changes since last poll
      operationId: eth_getFilterChanges
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: eth_getFilterChanges
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Filter ID
                  default:
                    - >-
                      0xb415d4b0e6ca750802be8c84c99a68170deeb9ed09c4e2eb0dc5299ab715e978
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: eth_getFilterChanges
              params:
                - >-
                  0xb415d4b0e6ca750802be8c84c99a68170deeb9ed09c4e2eb0dc5299ab715e978
      responses:
        '200':
          description: Returns the filter changes
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: array
                    description: Array of log objects or block hashes
                    items:
                      type: string
                    example:
                      - >-
                        0x7d41f9c59bbb29e583acd91c897f6db64b0cbf7b2102b4edf9cf7c69e901b24e
                      - >-
                        0x183082354c667d6261e05606e59745ef43b527545cd0cfa7a0ea1bb3e46cdb87
              example:
                jsonrpc: '2.0'
                id: 1
                result:
                  - >-
                    0x7d41f9c59bbb29e583acd91c897f6db64b0cbf7b2102b4edf9cf7c69e901b24e
                  - >-
                    0x183082354c667d6261e05606e59745ef43b527545cd0cfa7a0ea1bb3e46cdb87

````